# draugr.torch_utilities.operations.torch_transforms.batch_transforms.BatchRandomHorizontalFlip

class draugr.torch_utilities.operations.torch_transforms.batch_transforms.BatchRandomHorizontalFlip(p=0.5, inplace=False)

  Bases: `object`

  Applies the `RandomHorizontalFlip` transform to a batch of images. .. note:: This transform acts out of place by default, i.e., it does not mutate the input tensor. Args: p (float): probability of an image being flipped. inplace(bool,optional): Bool to make this operation in-place.

  __init__(p=0.5, inplace=False)

  Methods

  `__init__`([p, inplace]) |